Skip to main content
POST
/
auth
/
login
/
verify
Login Verify
curl --request POST \
  --url https://apigcp.trynia.ai/v2/auth/login/verify \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "<string>",
  "code": "<string>",
  "organization_id": "<string>"
}
'
import requests

url = "https://apigcp.trynia.ai/v2/auth/login/verify"

payload = {
"email": "<string>",
"code": "<string>",
"organization_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: '<string>', code: '<string>', organization_id: '<string>'})
};

fetch('https://apigcp.trynia.ai/v2/auth/login/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "api_key": "<string>",
  "api_key_id": "<string>",
  "user_id": "<string>",
  "organization_id": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Body

application/json
email
string
required
code
string
required

6-digit verification code from email

Required string length: 6
organization_id
string | null

Org to scope the new key to (must be a member)

Response

Successful Response

api_key
string
required

Your new nk_ API key — store it securely, it cannot be retrieved again

api_key_id
string
required
user_id
string
required
organization_id
string | null